View Issue Details

IDProjectCategoryView StatusLast Update
0004379Slicer4Core: Documentation and Wikipublic2017-06-13 14:25
ReporterjcfrAssigned Togrundlett 
PrioritynormalSeverityfeatureReproducibilityN/A
Status assignedResolutionopen 
Product VersionSlicer 4.7.0 
Target VersionbacklogFixed in Version 
Summary0004379: Bugtracker: Link with GitHub pull request
Description

Would be nice to install this plugin: https://github.com/mantisbt-plugins/source-integration/tree/master/SourceGithub

I anticipate it will allow to nicely reference GitHub pull request from mantis issue.

If a Github_token is needed, we could get one from the https://github.com/slicerbot user.

TagsNo tags attached.

Activities

grundlett

grundlett

2017-06-06 20:03

administrator   ~0014526

This plugin is installed.

I performed everything up to and including step 9 of https://github.com/mantisbt-plugins/source-integration for the 'slicer.org' repo. In other words, I haven't setup cron to fetch new changesets.

What repos do you want to integrate with Mantis?

grundlett

grundlett

2017-06-07 08:32

administrator   ~0014527

The fetch process took forever, and eventually I had to kill it.

Then any refreshes of the repo data resulted in a SQL error (even for the already fetched small slicer.org repo):
APPLICATION ERROR <a href="/view.php?id=401" title="[assigned] Bottom layout panel popup">0000401</a> Database query failed. Error received from database was <a href="/view.php?id=1064" title="[closed] Slicer becomes unusable after changing file type bypassing type selector on Save" class="resolved">0001064</a>: You have an error in your SQL syntax; check the manual that corresponds to your MariaDB server version for the right syntax to use near 'BY timestamp ASC LIMIT 1' at line 2 for the query: SELECT parent FROM mantis_plugin_Source_changeset_table WHERE repo_id=? AND branch=?ORDER BY timestamp ASC. Please use the "Back" button in your web browser to return to the previous page. There you can correct whatever problems were identified in this error or select another action. You can also click an option from the menu bar to go directly to a new section.

So, I checked the database; found a bug in the SQL; submitted a patch upstream.

I re-fetched the slicer repo, but it's still churning away over 8 hours later. It's NOT consuming all server resources, so it's safe to allow it to run. But I need to keep that browser window open and oddly enough the application blocks (queues) requests from the same client. So I'm typing this on a separate machine at the same IP.

grundlett

grundlett

2017-06-07 08:44

administrator   ~0014529

As of now, the tool has collected 533 changesets for the Slicer repo, and continues to retrieve the data from GitHub

Repository Type Changesets Files Issues
Slicer GitHub 533 1081 0

See https://issues.slicer.org/plugin.php?page=Source/index for current stats (Administrator Only)

jcfr

jcfr

2017-06-07 09:52

administrator   ~0014530

Since I don't know yet what will be the added value yet, if you think this will increase the size of our backup and is causing more trouble ... may be we can abandon.

grundlett

grundlett

2017-06-07 10:53

administrator   ~0014533

It's not consuming a lot of disk. The mantis database is only 22M (/var/lib/mysql/mantis), and the Mantis installation "uploads" is 663M. It also doesn't appear to be impacting services for other users/sites. It's just that the retrieval operation is extremely slow. I actually wish it were multi-threaded.

I'm letting it run in the background.... it's up to 683 changesets indexed now.

jcfr

jcfr

2017-06-07 23:38

administrator   ~0014678

Last edited: 2017-06-07 23:40

View 2 revisions

Hi Greg,

Consider that:

(1) there are more 20k changeset to process

(2) the plugin is incorrectly adds notes to issue. For example, see https://issues.slicer.org/view.php?id=2839#c14668 where it correctly find the commit 20ce292 but associated the wrong branch Slicer: 2145-support-for-installing-extension-from-file

I suggest we abort the import.

This branch lives on my fork but I don't understand why the plugin is referencing it .... https://github.com/jcfr/Slicer/tree/2145-support-for-installing-extension-from-file

It should only process the master branch.

jcfr

jcfr

2017-06-07 23:50

administrator   ~0014680

I think I understand, the repository configured is associated with my username. It should instead have the username "Slicer"



grundlett

grundlett

2017-06-07 23:55

administrator   ~0014681

Last edited: 2017-06-08 00:04

View 3 revisions

Hi Jc, Agreed. I aborted it at 10:30 pm. I believe you can map branches, but there isn't any documentation and it's buggy.

My mistake on the username... I thought that had to do with repo owner, but that doesn't make sense.

Will need to figure out how to clean up. In other words, does deleting a repo remove the inserted notes? And why does only one repo offer a 'delete' button?

jcfr

jcfr

2017-06-10 08:51

administrator   ~0014731

@grundlett After updating the repository info (username: Slicer, branch: master), I clicked on "Import everything. That should be better now.

Issue History

Date Modified Username Field Change
2017-06-06 18:07 jcfr New Issue
2017-06-06 18:07 jcfr Status new => assigned
2017-06-06 18:07 jcfr Assigned To => grundlett
2017-06-06 20:03 grundlett Note Added: 0014526
2017-06-07 08:32 grundlett Note Added: 0014527
2017-06-07 08:44 grundlett Note Added: 0014529
2017-06-07 09:52 jcfr Note Added: 0014530
2017-06-07 10:53 grundlett Note Added: 0014533
2017-06-07 23:38 jcfr Note Added: 0014678
2017-06-07 23:40 jcfr Note Edited: 0014678 View Revisions
2017-06-07 23:49 jcfr File Added: issue-notes-width.png
2017-06-07 23:49 jcfr File Deleted: issue-notes-width.png
2017-06-07 23:50 jcfr File Added: Screenshot from 2017-06-07 23-48-06.png
2017-06-07 23:50 jcfr Note Added: 0014680
2017-06-07 23:55 grundlett Note Added: 0014681
2017-06-07 23:58 grundlett Note Edited: 0014681 View Revisions
2017-06-08 00:04 grundlett Note Edited: 0014681 View Revisions
2017-06-10 08:51 jcfr Note Added: 0014731
2017-06-13 14:25 jcfr Target Version => backlog